Page MenuHomePhabricator

efl.gfx.stack
Closed, ResolvedPublic

Description

| | | |interface Efl.Gfx.Stack
| | | |├ (P) layer
| | | |├ (P) below
| | | |├ (P) above
| | | |├ (M) stack_below
| | | |├ (M) raise
| | | |├ (M) stack_above
| | | |├ (M) lower
| | | |├ (E) restack

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
zmike created this task.Jan 8 2019, 11:32 AM
zmike triaged this task as TODO priority.
zmike moved this task from Backlog to "easy" on the efl: api board.Feb 12 2019, 7:06 AM

This seems pretty reasonable.

Seems pretty straightforward, yeah. Maybe I would rename raise and lower to move_to_top and move_to_bottom. Otherwise, it looks to me like it just moves the object one position instead of all the way through as the docs say.
Also, the event should be an adjective like restacked or stack,changed instead of restack.

To me, move_to_top and move_to_bottom sounds confusing as I would expect them to go all the way down or all the way up, not just by 1 step.

I like stack,changed.

To me, move_to_top and move_to_bottom sounds confusing as I would expect them to go all the way down or all the way up.

"All the way up" is the behavior described in the docs:

Raise $obj to the top of its layer. $obj will, then, be the highest one in the layer it belongs to.

I have tried to look at the code to find out what is the REAL behavior of this method, but I got lost. Only Efl.Ui.Win and Efl.Canvas.Vg.Node seem to implement it.

zmike added a comment.Feb 13 2019, 5:18 AM

To me, move_to_top and move_to_bottom sounds confusing as I would expect them to go all the way down or all the way up.

"All the way up" is the behavior described in the docs:

Raise $obj to the top of its layer. $obj will, then, be the highest one in the layer it belongs to.

I have tried to look at the code to find out what is the REAL behavior of this method, but I got lost. Only Efl.Ui.Win and Efl.Canvas.Vg.Node seem to implement it.

This is the real behavior of the method.

In that case, we indeed need to correct it. I was misdirected by the existing name for sure.

OK, preparing patch.

So I think all we need here is to rename the event? I'm on it.

One more event rename and then this seems okay.

bu5hm4n moved this task from "easy" to Stabilized on the efl: api board.Feb 22 2019, 1:11 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mon, Mar 11, 10:47 AM
zmike claimed this task.